{
    "path": "$OET_PATH/testcases/function_test/pkg_test/gnome-text-editor/gnome-text-editor",
    "machine num": 1,
    "cases": [
        {
            "name": "test_gnome-text-editor_install",
            "desc": "测试gnome-text-editor软件包的安装功能，验证安装过程是否正常完成。",
            "machine num": 1
        },
        {
            "name": "test_gnome-text-editor_gnome-text-editor",
            "desc": "测试不带参数的 gnome-text-editor 命令"
        },
        {
            "name": "test_gnome-text-editor_function_openfile",
            "desc": "测试打开文件功能，验证文件是否能正常打开。"
        },
        {
            "name": "test_gnome-text-editor_function_save",
            "desc": "测试保存文件功能，验证文件是否能正常保存。"
        },
        {
            "name": "test_gnome-text-editor_function_edit",
            "desc": "测试编辑文本功能，验证文本编辑是否正常。"
        },
        {
            "name": "test_gnome-text-editor_function_search",
            "desc": "测试搜索功能，验证搜索是否正常。"
        },
        {
            "name": "test_gnome-text-editor_function_replace",
            "desc": "测试替换功能，验证替换是否正常。"
        }
    ]
}